Bug 605784 - Review Request: googlecl - Command line tools for the Google Data APIs
Review Request: googlecl - Command line tools for the Google Data APIs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
: 606146 611711 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 14:37 EDT by Adam Goode
Modified: 2010-07-06 07:03 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 10:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2010-06-18 14:37:37 EDT
Spec URL: http://agoode.fedorapeople.org/googlecl.spec
SRPM URL: http://agoode.fedorapeople.org/googlecl-0.9.5-1.fc14.src.rpm
Description: This package provides command-line access to some Google services via their GData APIs.
Comment 1 Chen Lei 2010-06-18 23:20:07 EDT
Some suggestion:
1. BR: python-gdata is not needed
2. Please do not gzip manpage by hand, rpmbuild will do it automatically.
Comment 2 Adam Goode 2010-06-18 23:41:17 EDT
Ok, I have updated with these 2 changes.

Spec URL: http://agoode.fedorapeople.org/googlecl.spec
SRPM URL: http://agoode.fedorapeople.org/googlecl-0.9.5-2.fc14.src.rpm
Comment 3 Chen Lei 2010-06-19 00:39:28 EDT
1.rpmlint googlecl-0.9.5-2.fc14.src.rpm 
googlecl.src: W: no-cleaning-of-buildroot %install
googlecl.src: W: no-cleaning-of-buildroot %clean
googlecl.src: W: no-buildroot-tag
googlecl.src: W: no-%clean-section
 
%clean section is still needed for F12


2.You still need those macros for building rpm in F12:

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
3. you can add changlog to %doc

Except those trival issue, the package is fine.
Comment 4 Adam Goode 2010-06-19 19:55:40 EDT
Ok, I have updated with these 3 changes, thanks.

Spec URL: http://agoode.fedorapeople.org/googlecl.spec
SRPM URL: http://agoode.fedorapeople.org/googlecl-0.9.5-3.fc14.src.rpm
Comment 5 Chen Lei 2010-06-19 21:28:36 EDT
Okay, this package is approved.
Comment 6 Adam Goode 2010-06-20 00:08:27 EDT
New Package CVS Request
=======================
Package Name: googlecl
Short Description: Command line tools for the Google Data APIs
Owners: agoode
Branches: F-12 F-13 EL-5 EL-6
InitialCC:
Comment 7 Chen Lei 2010-06-20 08:43:16 EDT
0.9.7 is released
Comment 8 Rick Richardson 2010-06-20 11:52:30 EDT
Please do a "noarch" for everybody including fc10, fc11, etc... and NOT fc12, f13, etc.  From the site:

"GoogleCL is a pure Python application".
Comment 9 Adam Goode 2010-06-20 13:20:08 EDT
(In reply to comment #7)
> 0.9.7 is released    

Ok, thanks.
Comment 10 Adam Goode 2010-06-20 13:21:17 EDT
(In reply to comment #8)
> Please do a "noarch" for everybody including fc10, fc11, etc... and NOT fc12,
> f13, etc.  From the site:
> 

Sorry, this is not allowed: http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#New_Packages


You may be able to rebuild the packages yourself from the SRPM.
Comment 11 Christian Krause 2010-06-20 18:30:27 EDT
*** Bug 606146 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Fenzi 2010-06-20 22:28:44 EDT
CVS done (by process-cvs-requests.py).
Comment 13 Sascha Thomas Spreitzer 2010-07-02 09:43:20 EDT
Added Review Request reference to Packaging Wishlist Wiki page.
https://fedoraproject.org/wiki/Package_maintainers_wishlist#E-G
Comment 14 Mamoru TASAKA 2010-07-06 07:03:31 EDT
*** Bug 611711 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.